# Geocode Intl

## Get Geocode methods

GET or POST methods&#x20;

POST method it can allow to send a list of addresses (maximum 100 per request) and return the geocodes to each address.

For processing multiple addresses, it returns null for the address that encounters an exception.

#### Resource URL

```
POST    https://hosted.mastersoftgroup.com/harmony/rest/intl/address/geocode
```

```
GET     https://hosted.mastersoftgroup.com/harmony/rest/intl/address/geocode?country={country}&fullAddress={location}
```

#### Request

The request body is an [AddressRestRequest](/loqate-harmony-api/api-specification/objects/address-objects.md#addressrestrequest) object:

<table><thead><tr><th width="164">Name</th><th width="105">Type</th><th width="132">Example</th><th>Description</th></tr></thead><tbody><tr><td>country*</td><td>country*</td><td>GB</td><td>ISO-2 or ISO-3 country</td></tr><tr><td>fullAddress*</td><td>string</td><td>Knowsley Industrial Park, LIVERPOOL, L33 7UY</td><td>The location to geocode. This can be a address, postal code or place name.</td></tr></tbody></table>

```
    {
        "payload":[
            { "fullAddress": "CA22 4SE", "country": "GB" },
            { "fullAddress": "20 Bond Street, Walker Flat SA 5238", "country": "AU" },
            { "fullAddress": "N6B 3L5", "country": "CA" },
            { "fullAddress": "Knowsley Industrial Park, LIVERPOOL, L33 7UY", "country": "GB" },
            { "fullAddress": "08550", "country": "US" },
            { "fullAddress": "19 Meado", "country": "IE" }
        ]
    }
```

#### Response

The response body is an [AddressRestResponse](/loqate-harmony-api/api-specification/objects/address-objects.md#addressrestresponse) object. With the enriched information being

| Name                 | Type   | Description                                |
| -------------------- | ------ | ------------------------------------------ |
| fullAddress          | string | The name of the location found             |
| attributes.Latitude  | string | the Latitude of the full address in WSG84  |
| attributes.Longitude | string | the Longitude of the full address in WSG84 |

### Example

```json
{
    "status": "SUCCESS",
    "messages": [],
    "payload": [
        {
            "_type": "AddressIntl",
            "fullAddress": "22 Highlands Close, Finsbury Park, London, N4 4SE",
            "country": "GB",
            "postcode": null,
            "street2": null,
            "street": null,
            "streetNumber": null,
            "postal": null,
            "postalType": null,
            "postalNumber": null,
            "buildingName": null,
            "subdwelling": null,
            "attributes": {
                "Latitude": "51.57366",
                "Longitude": "-0.12047"
            },
            "id": null,
            "district": null,
            "city": null,
            "province": null
        },
        {
            "_type": "AddressIntl",
            "fullAddress": "20 Bond Street, Walker Flat, South Australia, 5238",
            "country": "AU",
            "postcode": null,
            "street2": null,
            "street": null,
            "streetNumber": null,
            "postal": null,
            "postalType": null,
            "postalNumber": null,
            "buildingName": null,
            "subdwelling": null,
            "attributes": {
                "Latitude": "-34.77875",
                "Longitude": "139.55431"
            },
            "id": null,
            "district": null,
            "city": null,
            "province": null
        },
        {
            "_type": "AddressIntl",
            "fullAddress": "Dundas Street, London ON N0M, N5V, N5W, N5X, N5Y, N5Z, N6A, N6B, N6C, N6E, N6G, N6H, N6J, N6K, N6M, N6P",
            "country": "CA",
            "postcode": null,
            "street2": null,
            "street": null,
            "streetNumber": null,
            "postal": null,
            "postalType": null,
            "postalNumber": null,
            "buildingName": null,
            "subdwelling": null,
            "attributes": {
                "Latitude": "43.00336",
                "Longitude": "-81.18079"
            },
            "id": null,
            "district": null,
            "city": null,
            "province": null
        },
        {
            "_type": "AddressIntl",
            "fullAddress": "North Mersey Business Centre,Woodward Road, Knowsley Industrial Park, Liverpool",
            "country": "GB",
            "postcode": null,
            "street2": null,
            "street": null,
            "streetNumber": null,
            "postal": null,
            "postalType": null,
            "postalNumber": null,
            "buildingName": null,
            "subdwelling": null,
            "attributes": {
                "Latitude": "53.4892",
                "Longitude": "-2.8515"
            },
            "id": null,
            "district": null,
            "city": null,
            "province": null
        },
        {
            "_type": "AddressIntl",
            "fullAddress": "Princeton Junction, NJ 08550",
            "country": "US",
            "postcode": null,
            "street2": null,
            "street": null,
            "streetNumber": null,
            "postal": null,
            "postalType": null,
            "postalNumber": null,
            "buildingName": null,
            "subdwelling": null,
            "attributes": {
                "Latitude": "40.29213",
                "Longitude": "-74.61926"
            },
            "id": null,
            "district": null,
            "city": null,
            "province": null
        },
        {
            "_type": "AddressIntl",
            "fullAddress": "",
            "country": "IE",
            "postcode": null,
            "street2": null,
            "street": null,
            "streetNumber": null,
            "postal": null,
            "postalType": null,
            "postalNumber": null,
            "buildingName": null,
            "subdwelling": null,
            "attributes": {
                "Latitude": "52.40025",
                "Longitude": "-9.286"
            },
            "id": null,
            "district": null,
            "city": null,
            "province": null
        }
    ]
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mastersoftgroup.com/loqate-harmony-api/api-specification/address/geocode-intl.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
